Summary: A set of tools for megaraid based file servers
Name: megaraid-util
Version: 4.00.11
Release: 1.cern
License: Unknown
URL: http://lsi.com
Buildroot: %{_tmppath}/%{name}-buildroot
Group: System Environment/Base
Source: %{name}.tar.gz
ExclusiveArch: i386 i686 x86_64
Packager: Andras.Horvath@cern.ch

%description
Utilities for managing LSI Megaraid (Dell, Intel, etc) hardware RAID
controllers.

%package cli
Summary: LSI Megaraid Disk Management Utilities - Command Line Interface
Group: System Environment/Base

%description cli
The LSI command line management utility, allows you to view status and
version information about your Dell PERC, Intel IOP* and other Megaraid-based
controllers.

%prep
%setup -n %{name}

%install
mkdir -p %{buildroot}/usr/sbin
%ifarch i386 i686
install -m 755 x86/megacli %{buildroot}/usr/sbin/megacli
install -m 755 x86/megarc %{buildroot}/usr/sbin/megarc
%else
install -m 755 x86_64/megacli %{buildroot}/usr/sbin/megacli
%endif
cd %{buildroot}/usr/sbin && ln -s megacli MegaCli

%clean
rm -rf %{buildroot}

%files cli
%defattr(-,root,root)
/usr/sbin/megacli
/usr/sbin/MegaCli
%ifarch i386 i686
/usr/sbin/megarc
%endif

%changelog
* Thu Apr 29 2010  Andras HORVATH <andras.horvath@cern.ch> 4.00.11
- update to current version
- symlink megacli to MegaCli so that copypaste from --help works ;)

* Tue Oct 24 2007 Andras Horvath <Andras.Horvath@cern.ch> 1.01.39.3.cern
- cosmetic changes
- include 'megarc' which can manage the older cards

* Tue Oct 24 2007 Andras Horvath <Andras.Horvath@cern.ch> 1.01.39
- first release
